# Class SlowHttpClientSocketFactory

java.lang.Object
org.apache.jmeter.protocol.http.util.SlowHttpClientSocketFactory

public class SlowHttpClientSocketFactory extends Object
Commons HttpClient protocol factory to generate "slow" sockets for emulating dial-up modems

## Constructor Summary

Constructors
Constructor
Description
`SlowHttpClientSocketFactory(int cps)`

## Method Summary

Modifier and Type
Method
Description
`Socket`
`createSocket(String host, int port)`
`Socket`
`createSocket(String host, int port, InetAddress clientHost, int clientPort)`
`Socket`
`createSocket(String host, int port, InetAddress localAddress, int localPort, HttpConnectionParams params)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlowHttpClientSocketFactory

public SlowHttpClientSocketFactory(int cps)

Parameters:
  `cps` - - characters per second

## Method Details

### createSocket

public Socket createSocket(String host, int port, InetAddress clientHost, int clientPort) throws IOException, UnknownHostException

Throws:
  `IOException`
  `UnknownHostException`

### createSocket

public Socket createSocket(String host, int port) throws IOException, UnknownHostException

Throws:
  `IOException`
  `UnknownHostException`

### createSocket

public Socket createSocket(String host, int port, InetAddress localAddress, int localPort, HttpConnectionParams params) throws IOException, UnknownHostException, ConnectTimeoutException

Throws:
  `IOException`
  `UnknownHostException`
  `ConnectTimeoutException`